#ifndef DISPLAY_H
#define DISPLAY_H

#include <sys/types.h>
#include <curses.h>

#include "sheet.h"

void adjust(Adjust a, char *s, size_t n);
void redraw_sheet(Sheet *sheet);
int line_edit(char *buf, size_t size, WINDOW *w, const char *prompt, int *x, int *offx);
int line_numedit(int *n, WINDOW *w, const char *prompt, int *x, int *offx);
int line_idedit(char *ident, size_t size, WINDOW *w, const char *prompt, int *x, int *offx);
int line_menu(WINDOW *w, const char *prompt, const char **choice, int curx);
int line_ok(WINDOW *w, const char *prompt, int curx);
void line_msg(WINDOW *w, const char *prompt, const char *msg);
WINDOW *newpopupwin(int lines, int columns, int begin_y, int begin_x, chtype **background);
void delpopupwin(WINDOW *w, chtype **background);

#endif
/*{{{}}}*/
